Skip to content
Advertisement

Mac The operation couldn’t be completed. Unable to locate a Java Runtime that supports jarsigner

My purpose is to use jarsigner to sign apk.

I get the following prompt:

% jarsigner     
The operation couldn’t be completed. Unable to locate a Java Runtime that supports jarsigner.
Please visit http://www.java.com for information on installing Java.

my java version hint:

% java -version
java version "1.8.0_321"
Java(TM) SE Runtime Environment (build 1.8.0_321-b07)
Java HotSpot(TM) 64-Bit Server VM (build 25.321-b07, mixed mode)

Mac version is 11.6.3

How can I solve this problem please?

Advertisement

Answer

I finally solved it by downloading the JDK

Advertisement